
SITETB - Bug #148

Feature # 217 (New): Implementação do Quartz no SITETB / eTB Manager

Etiqueta atraso de consulta

09/20/2012 03:11 PM - Estefânia Quilma Andrade

Status: Closed Start date: 09/20/2012

Priority: Normal Due date:  

Assignee: Ricardo Memoria % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente:    

Description

No momento, o sitetb apresenta 2.606 casos cadastrados, com 852 em tto ( não encerrados) e na etiqueta CASOS COM ATRASO

NO REGISTRO DE CONSULTA CONSTAM 4.326

History

#1 - 09/25/2012 02:41 PM - Maurício Dos Santos

- Status changed from New to In Progress

- Assignee set to Maurício Dos Santos

- Target version set to Versão atual

#2 - 09/26/2012 03:12 PM - Maurício Dos Santos

- % Done changed from 0 to 50

Foi detectado um erro na query que monta todas as tags e foi corrigido.

Porem, para concluir a resolução deste bug é necessário que se implemente a execução de tarefas diárias para atualizar as tags que usam como

parametro a data atual...

#3 - 09/27/2012 02:37 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#4 - 09/28/2012 02:16 PM - Maurício Dos Santos

- Status changed from Resolved to In Progress

- Assignee deleted (Maurício Dos Santos)

Verificar em 01/09 se o ambiente de testes esta apresentando o numero certo de casos...

#5 - 10/01/2012 11:05 AM - Maurício Dos Santos

Não funcionou, algumas alterações foram feitas, verificar dia 02/10

#6 - 10/01/2012 11:05 AM - Maurício Dos Santos

- Assignee set to Maurício Dos Santos

#7 - 10/01/2012 12:15 PM - Maurício Dos Santos

- Subject changed from Etiqueta atraso de consulta to Etiqueta atraso de consulta [EM TESTE]
#8 - 10/02/2012 10:11 AM - Maurício Dos Santos

- Subject changed from Etiqueta atraso de consulta [EM TESTE] to Etiqueta atraso de consulta

- Status changed from In Progress to Feedback

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

Ricardo,

Nessa tarefa eu tive que fazer alterações no build e no components, subi todas essas alterações, porém não funciona no ambiente de testes... Tem

alguma coisa que eu tenha que fazer por ter alterado esses xmls?

Fiz as alterações nos 2 components.xml que eu encontrei e no build.xml, build-br.xml, build-br-test.xml...

#9 - 10/11/2012 10:47 AM - Maurício Dos Santos

- Status changed from Feedback to In Progress

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

Causou uma excessão no ambiente de prod mas nao no local.... Investigar... Para resolver a excessão teve que ser removido do components.xml

#10 - 10/11/2012 02:20 PM - Maurício Dos Santos

- Status changed from In Progress to Feedback

Melhor tratar pessoalmente com o ricardo na proxim a visita ao helio fraga...

#11 - 10/16/2012 01:59 PM - Maurício Dos Santos

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

#12 - 10/17/2012 01:32 PM - Maurício Dos Santos

Uma alternativa foi implementada... Ao clicar na etiqueta o sistema atualiza os casos daquela etiqueta antes de exibi-los...

#13 - 10/18/2012 12:26 PM - Ricardo Memoria

- Parent task set to #217

Aguardando conclusão da tarefa #217

#14 - 02/07/2013 03:54 PM - Maurício Dos Santos

Segue query com alteração solicitada em Brasilia:

Select *

from tbcase a

where

a.state in (1,2)

and

exists(select *

from medicalexamination m

where m.case_id = a.id

and m.event_date = (select max(event_date)

from medicalexamination

where medicalexamination.case_id = a.id)

and DATE_ADD(m.nextAppointment, INTERVAL 15 DAY) < curdate())
#15 - 02/07/2013 06:02 PM - Maurício Dos Santos

- Status changed from Feedback to Closed
